Subject: Re: bug#67341: 29.1.90; Open frame on display doesn't work in wayland

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 Nov 2023 20:42:52 +0200

> From: Phillip Susi <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 28 Nov 2023 13:34:31 -0500
> 
> Phillip Susi <[email-masked]> writes:
> 
> >> What does the below yield if you type it in the new frame:
> >>
> >>   M-: (frame-parameter nil 'display) RET
> >
> > I'm home for the holidays so I'll have to check that next Monday.
> 
> After asking it to create a new frame on wayland-2, running that command
> in the new frame that appeared in wayland-1 of course, says wayland-1.

Can you step in Edebug through make-frame-on-display and make-frame,
and try to figure out how come wayland-2 becomes wayland-1, during the
processing of the command?